org.fourthline.cling.model.meta

## Class Action<S extends Service>

- java.lang.Object
- - org.fourthline.cling.model.meta.Action<S>

- All Implemented Interfaces:
    Validatable
  Direct Known Subclasses:
    QueryStateVariableAction

      public class Action<S extends Service>
      extends Object
      implements Validatable

  Describes an action and its input/output arguments.
  Author:
    Christian Bauer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Action(String name, ActionArgument[] arguments)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Action<S>` | `deepCopy()`
    `ActionArgument[]` | `getArguments()`
    `ActionArgument<S>` | `getFirstInputArgument()`
    `ActionArgument<S>` | `getFirstOutputArgument()`
    `ActionArgument<S>` | `getInputArgument(String name)`
    `ActionArgument<S>[]` | `getInputArguments()`
    `String` | `getName()`
    `ActionArgument<S>` | `getOutputArgument(String name)`
    `ActionArgument<S>[]` | `getOutputArguments()`
    `S` | `getService()`
    `boolean` | `hasArguments()`
    `boolean` | `hasInputArguments()`
    `boolean` | `hasOutputArguments()`
    `String` | `toString()`
    `List<ValidationError>` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Action

          public Action(String name,
                        ActionArgument[] arguments)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### hasArguments

          public boolean hasArguments()

    - #### getArguments

          public ActionArgument[] getArguments()

    - #### getService

          public S getService()

    - #### getFirstInputArgument

          public ActionArgument<S> getFirstInputArgument()

    - #### getFirstOutputArgument

          public ActionArgument<S> getFirstOutputArgument()

    - #### getInputArguments

          public ActionArgument<S>[] getInputArguments()

    - #### getInputArgument

          public ActionArgument<S> getInputArgument(String name)

    - #### getOutputArguments

          public ActionArgument<S>[] getOutputArguments()

    - #### getOutputArgument

          public ActionArgument<S> getOutputArgument(String name)

    - #### hasInputArguments

          public boolean hasInputArguments()

    - #### hasOutputArguments

          public boolean hasOutputArguments()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public List<ValidationError> validate()

      Specified by:
        `validate` in interface `Validatable`
      Returns:
        An empty `List` if all rules validated properly, otherwise, the detected errors.

    - #### deepCopy

          public Action<S> deepCopy()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.